## org.eclipse.amp.axf.ide
Class LifeCycleListeners

    java.lang.Object
      org.eclipse.amp.axf.ide.LifeCycleListeners

    public class LifeCycleListeners

extends java.lang.Object

Author:
  mparker

Constructor Summary
`LifeCycleListeners()`

Method Summary
`void` `addListener(ILifeCycleListener listener)` Adds the workbench listener.
`void` `removeListener(ILifeCycleListener listener)` Removes the workbench listener.
`void` `replaceModel(IModel oldModel, IModel newModel)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LifeCycleListeners

    public LifeCycleListeners()

Method Detail

### replaceModel

    public void replaceModel(IModel oldModel,
                             IModel newModel)

### addListener

    public void addListener(ILifeCycleListener listener)

  Adds the workbench listener.

  Parameters:
    `listener` - the listener

### removeListener

    public void removeListener(ILifeCycleListener listener)

  Removes the workbench listener.

  Parameters:
    `listener` - the listener